<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div *ngIf="loading$ | async; else loaded" class="w-screen h-dvh flex flex-col items-center justify-center">
  <div class="flex w-full h-full">
    <div class="bg-whitesmoke w-1/3 h-full flex items-center justify-center">
      <img src="assets/images/spade-logo.svg" alt="" style="width: 210px" />
    </div>
    <div class="bg-secondary-900 w-2/3 flex flex-col items-center justify-center gap-6">
      <div class="h-10"></div>
      <i class="fa fa-circle-notch fa-spin fa-4x fa-fw text-primary-500"></i>
      <div class="text-white tracking-widest font-secondary">Loading</div>
    </div>
  </div>
</div>
<ng-template #loaded>
  <ng-content></ng-content>
</ng-template>
